Opened 3 years ago

Closed 3 years ago

#803 closed defect (fixed)

systemtest status on bismuth

Reported by: dmisev Owned by: dmisev
Priority: critical Milestone: 9.0.x
Component: systemtest Version: development
Keywords: Cc: adumitru, arezaeim, bthapaliya, gmerticariu, pcampalani, gxinghua, uadhikari, vmerticariu
Complexity: Medium

Description

The systemtest is generally passing on our dev's machines, but somehow is failing on the test machine bismuth, where it's run by jenkins.

First we should verify that it actually passes on our dev machines, and then we'll look at bismuth.

Please everyone in cc run the systemtest with cd systemtest; make check

  • make sure that all components are working, including petascope and secore
  • make sure to have the latest rasdaman/petascope installed and running
  • post the systemtest output, along with more details of the failing queries
  • also post gcc --version, gdalinfo --version, Linux OS

Attachments (9)

pcampalani_makecheck.log (176.7 KB) - added by pcampalani 3 years ago.
Log of `make check' in systemtest (pcampalani).
gxinghua_check01072014.log (183.4 KB) - added by gxinghua 3 years ago.
Xinghua's check log
systemTest.log (187.4 KB) - added by uadhikari 3 years ago.
jenkins_makecheck.log (167.3 KB) - added by gmerticariu 3 years ago.
jenkins make check output
dmisev_makecheck.log (180.8 KB) - added by dmisev 3 years ago.
bidesh_systemcheck_1.log (178.7 KB) - added by bthapaliya 3 years ago.
bidesh_systemcheck_2.log (178.7 KB) - added by bthapaliya 3 years ago.
01-single_crs.diff (10.7 KB) - added by dmisev 3 years ago.
19-expand_single_crs_100.diff (88.4 KB) - added by dmisev 3 years ago.

Download all attachments as: .zip

Change History (27)

comment:1 Changed 3 years ago by dmisev

@George, please post the output from bismuth.

comment:2 Changed 3 years ago by pcampalani

Here's mine (I have some fails mainly because I am using GDAL from trunk, but I didn't investigate):

  • make check log: attachment:pcampalani_makecheck.log
  • GDAL version:
    $ gdalinfo --version
    GDAL 1.11dev, released 2013/04/13
    
  • gcc version:
    $ gcc --version
    gcc (Ubuntu/Linaro 4.6.3-1ubuntu5) 4.6.3
    
  • Linux OS/kernel:
    $ lsb_release -a
    LSB Version:	core-2.0-ia32:core-2.0-noarch:core-3.0-ia32:core-3.0-noarch:core-3.1-ia32:core-3.1-noarch:core-3.2-ia32:core-3.2-noarch:core-4.0-ia32:core-4.0-noarch
    Distributor ID:	Ubuntu
    Description:	Ubuntu 12.04.4 LTS
    Release:	12.04
    Codename:	precise
    $ uname -srmiv
    Linux 3.2.0-60-generic #91-Ubuntu SMP Wed Feb 19 03:55:18 UTC 2014 i686 i386
    

Changed 3 years ago by pcampalani

Log of `make check' in systemtest (pcampalani).

comment:3 Changed 3 years ago by gxinghua

  • make check (attachment:gxinghua_check01072014.log)
    $ make check >> ./check01072014.log
    rasdaman error 802: RasManager Error: Access denied, incorrect user/password.
    rasdaman error 803: RasManager Error: Access denied, no permission for operation.
    rasdaman error 803: RasManager Error: Access denied, no permission for operation.
    rasdaman error 803: RasManager Error: Access denied, no permission for operation.
    rasdaman error 802: RasManager Error: Access denied, incorrect user/password.
    rasdaman error 802: RasManager Error: Access denied, incorrect user/password.
    rasdaman error 300: Parsing error 300 in line 1, column 19: Unexpected name =.
    rasdaman error 410: Execution error 410 in line 1, column 26, near token [: Operand of point expression must be of type integer.
    rasdaman error 370: Execution error 370 in line 1, column 82, near token .: Struct selector is not valid.
    rasdaman error 357: Execution error 357 in line 1, column 31, near token a: Variable is unknown.
    rasdaman error 0: Exception: Transfer Failed
    rasdaman error 355: Execution error 355 in line 1, column 20, near token test_insert: Collection name is unknown.
    rasdaman error 355: Execution error 355 in line 1, column 20, near token test_insert: Collection name is unknown.
    rasdaman error 0: Exception: Transfer Failed
    rasdaman error 0: Exception: Transfer Failed
    make: *** [check] Error 1
    
  • gdalinfo version
    $ gdalinfo --version
    GDAL 1.6.0, released 2008/12/04
    
  • gcc version
    $ gcc --version
    gcc (Ubuntu/Linaro 4.6.3-1ubuntu5) 4.6.3
    
  • Linux OS
    uname -srmiv
    Linux 3.2.0-65-generic #98-Ubuntu SMP Wed Jun 11 20:27:07 UTC 2014 x86_64 x86_64
    
    $ lsb_release -a
    No LSB modules are available.
    Distributor ID:	Ubuntu
    Description:	Ubuntu 12.04.4 LTS
    Release:	12.04
    Codename:	precise
    
Last edited 3 years ago by gxinghua (previous) (diff)

Changed 3 years ago by gxinghua

Xinghua's check log

Changed 3 years ago by uadhikari

comment:4 Changed 3 years ago by uadhikari

  • make check log: attachment:systemTest.log
    rasdaman error 802: RasManager Error: Access denied, incorrect user/password.
    rasdaman error 803: RasManager Error: Access denied, no permission for operation.
    rasdaman error 803: RasManager Error: Access denied, no permission for operation.
    rasdaman error 803: RasManager Error: Access denied, no permission for operation.
    rasdaman error 802: RasManager Error: Access denied, incorrect user/password.
    rasdaman error 802: RasManager Error: Access denied, incorrect user/password.
    rasdaman error 300: Parsing error 300 in line 1, column 19: Unexpected name =.
    rasdaman error 410: Execution error 410 in line 1, column 26, near token [: Operand of point expression must be of type integer.
    rasdaman error 370: Execution error 370 in line 1, column 82, near token .: Struct selector is not valid.
    rasdaman error 357: Execution error 357 in line 1, column 31, near token a: Variable is unknown.
    rasdaman error 0: Exception: Transfer Failed
    rasdaman error 355: Execution error 355 in line 1, column 20, near token test_insert: Collection name is unknown.
    rasdaman error 355: Execution error 355 in line 1, column 20, near token test_insert: Collection name is unknown.
    rasdaman error 0: Exception: Transfer Failed
    rasdaman error 0: Exception: Transfer Failed
    make: *** [check] Error 1
    
  • gdalinfo version
    $ gdalinfo --version
    GDAL 1.10.1, released 2013/08/26
    
  • gcc version
    $ gcc --version
    gcc (Ubuntu 4.8.2-19ubuntu1) 4.8.2
    
  • Linux OS
    $ uname -srmiv
    Linux 3.13.0-29-generic #53-Ubuntu SMP Wed Jun 4 21:00:20 UTC 2014 x86_64 x86_64
    
    $ lsb_release -a
    
    No LSB modules are available.
    Distributor ID:	Ubuntu
    Description:	Ubuntu 14.04 LTS
    Release:	14.04
    Codename:	trusty
    
    

Changed 3 years ago by gmerticariu

jenkins make check output

comment:5 Changed 3 years ago by gmerticariu

bismuth:

gdalinfo --version
GDAL 1.9.2, released 2012/10/08

gcc --version
gcc (GCC) 4.4.7 20120313 (Red Hat 4.4.7-4)

uname -srmiv
Linux 3.2.0-2-amd64 #1 SMP Sun Apr 15 16:47:38 UTC 2012 x86_64 x86_64

lsb_release -a
LSB Version: :base-4.0-amd64:base-4.0-noarch:core-4.0-amd64:core-4.0-noarch:graphics-4.0-amd64:graphics-4.0-noarch:printing-4.0-amd64:printing-4.0-noarch
Distributor ID: CentOS
Description: CentOS release 6.5 (Final)
Release: 6.5
Codename: Final

Last edited 3 years ago by gmerticariu (previous) (diff)

Changed 3 years ago by dmisev

comment:6 Changed 3 years ago by dmisev

I attached my results too,

gdalinfo --version
GDAL 1.9.0, released 2011/12/29

gcc --version
gcc (Debian 4.7.2-5) 4.7.2

lsb_release -a
LSB Version: core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch:core-4.1-amd64:core-4.1-noarch:security-4.0-amd64:security-4.0-noarch:security-4.1-amd64:security-4.1-noarch
Distributor ID: Debian
Description: Debian GNU/Linux 7.0 (wheezy)
Release: 7.0
Codename: wheezy

comment:7 follow-up: Changed 3 years ago by dmisev

From the logs so far

  • everyone has problems with the secore test, Piero could you check this one?
  • bismuth I see this error, not sure if it's harmful; George could you look at the log, if there are any stacktraces printed?
    test.sh: importing irr_cube_1... rasdaman error 0: Exception: Transfer Failed
    
  • jpeg2000/jp2 tests seem to be also failing on bismuth
  • the case statement test is randomly failing in test_select, Vlad please check this
  • I'll look at the test_tickets and anything else strange

Changed 3 years ago by bthapaliya

Changed 3 years ago by bthapaliya

comment:8 Changed 3 years ago by bthapaliya

I ran the make check twice. First test_select failed and without changing anything if I run the check again the test case passes. Following are the rest of the info.

gdalinfo --version
GDAL 1.7.3, released 2010/11/10
gcc --version
gcc (Ubuntu/Linaro 4.6.3-1ubuntu5) 4.6.3
uname -srmiv
Linux 3.11.0-20-generic # 35~precise1-Ubuntu SMP Fri May 2 21:32:55 UTC 2014 x86_64 x86_64


lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 12.04.4 LTS
Release:	12.04
Codename:	precise

comment:9 in reply to: ↑ 7 Changed 3 years ago by pcampalani

Replying to dmisev:

  • everyone has problems with the secore test, Piero could you check this one?

XML entities where not escaped in directory listing: patch submitted already, now all SECORE tests pass.

comment:10 Changed 3 years ago by dmisev

I applied all the pending patches and now have 11 secore tests failing:

01-single_crs.kvp
01-single_crs.rest
02-single_crs_unordered_keys.kvp
07-single_crs_case_insensitive_keys.kvp
15-parametrized_crs.kvp
15-parametrized_crs.rest
17-compound_crs_with_parametrized_crs.kvp
19-expand_single_crs_100.kvp
19-expand_single_crs_100.rest
20-expand_single_crs_full.kvp
20-expand_single_crs_full.rest

comment:11 Changed 3 years ago by pcampalani

They were all passing of course when I submitted the patches: can you look at what is breaking your tests there please? (diff)
thx

Changed 3 years ago by dmisev

Changed 3 years ago by dmisev

comment:12 Changed 3 years ago by dmisev

I attached two diffs.

comment:13 Changed 3 years ago by pcampalani

Did you look? The out file is empty: you are getting exceptions. Can you look at which exceptions are you getting there?

comment:14 Changed 3 years ago by dmisev

I don't get exceptions, as far as I can see the output file for 01-single_crs for example has some change requests, which the oracle does not.

comment:15 Changed 3 years ago by dmisev

Bidesh has the same errors.

comment:16 Changed 3 years ago by pcampalani

Sorry guys, I must have messed up the oracles somehow (patch submitted).

comment:17 Changed 3 years ago by dmisev

I submitted a patch to mark the JPEG2000 tests as known_fails, and this should get the systemtest passing on bismuth.

comment:18 Changed 3 years ago by dmisev

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.